Skip to navigation

TSP Sign Hash Session Information

View as Markdown

POST /restapi/{apiVersion}/signature/signhashsessioninfo

This method provides signing session information for a Trust Service Provider (TSP). This method is used by TSPs to sign documents hashes.

Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

NameTypeDescription
AuthenticationStringRequired. See
Authentication
Content-TypeStringRequired. Specifies the type of data returned in the request body. This parameter must be set to
application/json.
X-Docusign-CorrelationTokenGUIDOptional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls.

Request Body Parameters

This table provides descriptions of the information in the request body.

NameDescription
certificateOptional. Base 64 string representing the x509 certificate used to sign.
SignatureManifestationOptional. Specifies an image file and size for representing the signature.
Note: this parameter is only supported by version 2.1 of the eSignature REST API. It also requires additional configuration at the account level. Please, contact your account administrator to enable this feature.
signatureImageOptional. Base 64 string representing the image associated with the signature.
widthOptional. Image width in points. If you set a width value, you must also specify a height.
heightOptional. Image height in points. If you set a height value, you must also specify a width.

Response Information

If successful, this returns signHashSessionInfoResponse. The table below provides descriptions of the information in the response.

NameDescription
redirectionUrlString holding the URL the user is redirected to after signing completion.
remainingSignatureRequestsString holding the number of signature requests remaining, for documents that require multiple signatures.
documentsAn array of documents
documents.documentIdString identifier for the document that must be returned in subsequent requests.
documents.nameThe string name of the document being signed.
documents.dataString holding the hash stream or ASN1Set SignedAttributes to be signed.
documents.remainingSignaturesString holding the number of remaining signatures that need to be applied to this document.
{
"certificate": "base 64 string",
"SignatureManifestation": {
"signatureImage": "base64 string",
"width": "integer",
"height": "integer"
}
}